#region usings
using System;
using System.ComponentModel.Composition;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Drawing;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "MouseWheelTest", Category = "Test", Help = "Template with some gui elements", Tags = "", AutoEvaluate = true)]
	#endregion PluginInfo
	public class TestMouseWheelTestNode : UserControl, IPluginEvaluate
	{
		#region fields & pins
		[Import()]
		protected ILogger FLogger;
		#endregion fields & pins

		#region constructor and init

		public TestMouseWheelTestNode()
		{
			//setup the gui
			InitializeComponent();
		}

		void InitializeComponent()
		{
			//clear controls in case init is called multiple times
			Controls.Clear();
		}

		//called if the button is clicked
		protected override void OnMouseWheel(System.Windows.Forms.MouseEventArgs e)
		{
			System.Text.StringBuilder messageBoxCS = new System.Text.StringBuilder();
			messageBoxCS.AppendFormat("{0} = {1}", "Button", e.Button );
			messageBoxCS.AppendLine();
			messageBoxCS.AppendFormat("{0} = {1}", "Clicks", e.Clicks );
			messageBoxCS.AppendLine();
			messageBoxCS.AppendFormat("{0} = {1}", "X", e.X );
			messageBoxCS.AppendLine();
			messageBoxCS.AppendFormat("{0} = {1}", "Y", e.Y );
			messageBoxCS.AppendLine();
			messageBoxCS.AppendFormat("{0} = {1}", "Delta", e.Delta );
			messageBoxCS.AppendLine();
			messageBoxCS.AppendFormat("{0} = {1}", "Location", e.Location );
			messageBoxCS.AppendLine();
			FLogger.Log(LogType.Debug, messageBoxCS.ToString());
			base.OnMouseWheel(e);
		}

		#endregion constructor and init

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			
		}
	}
}
